> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pasca.name.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Invoice



## OpenAPI

````yaml /api-reference/openapi.json patch /api/v1/einvoice/update/{IRN}
openapi: 3.1.0
info:
  title: PASCA API
  version: 1.0.0
  description: PASCA eInvoicing API reference
servers:
  - url: https://test-api.pasca.co
    description: Sandbox
  - url: https://api.pasca.co
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
  - APIKey: []
    APISecret: []
tags:
  - name: Resources
  - name: IRN and QR
  - name: Invoices
  - name: Transmission
  - name: Status and retrieval
  - name: Business
  - name: Health
paths:
  /api/v1/einvoice/update/{IRN}:
    patch:
      tags:
        - Status and retrieval
      summary: Update Invoice
      parameters:
        - name: IRN
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            example:
              payment_status: REJECTED
              reference: payment_reference_or_note
      responses:
        '200':
          description: Success
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                status: false
                code: 400
                message: Failed to validate invoice
                data: null
                error:
                  id: 5c4c008e-8f1e-4034-a96b-8b352c143da5
                  handler: invoice_actions
                  details: this business does not exist
                  public_message: validation failed
                timestamp: '2025-12-23T14:54:12.477393Z'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status: false
                code: 401
                message: Unauthorized
                data: null
                error:
                  details: invalid or missing API credentials
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: API-KEY
    ApiSecret:
      type: apiKey
      in: header
      name: API-SECRET
    APIKey:
      type: apiKey
      in: header
      name: API-KEY
    APISecret:
      type: apiKey
      in: header
      name: API-SECRET

````